List API keys
GET
/api-keys
const url = 'https://api.duta.indra.sh/v1/api-keys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.duta.indra.sh/v1/api-keys \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Success
Media typeapplication/json
object
object
required
string
has_more
required
boolean
data
required
Array<object>
object
id
required
string
name
required
string
permission
required
string
scope
required
string
prefix
required
string
last4
required
string
last_used_at
required
ISO 8601
string | null format: date-time
revoked_at
required
ISO 8601
string | null format: date-time
created_at
required
ISO 8601
string format: date-time
Example
{ "object": "list", "has_more": false, "data": [ { "permission": "full_access", "scope": "send" } ]}Missing or invalid API key
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}The key has sending access only
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}The request was refused. code says why
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}Rate limited. Retry after the Retry-After header
Media typeapplication/json
object
statusCode
required
integer
name
required
The Resend error name, so code that branches on it keeps working
string
message
required
string
code
required
Duta’s error code, finer grained than name
string
detail
object
key
additional properties
request_id
required
Find this request on the Logs screen
string
Example
{ "code": "unauthorized"}